ELVI(1sr)

NAME
elvi - surfraw(1) search tools

SYNOPSIS
surfraw elviname [options] search words ...
sr elviname [options] search words ...
sr elviname -help
sr -elvi

DESCRIPTION
This is the man page for the elvi, a set of search tools that form part of surfraw(1). Surfraw provides a fast unix command line interface to a variety of popular WWW search engines and other artifacts of power. It reclaims google, altavista, dejanews, freshmeat, research index, slashdot and many others from the false-prophet, pox-infested heathen lands of html-forms, placing these wonders where they belong, deep in unix heartland, as god loving extensions to the shell. To search using this elvis, do:
 sr elvisname [options] search terms. For example, to search google for information on Debian ports, using the "I'm feeling lucky" option:
 sr google -l debian ports To find out about options specific to this elvis, do:
 sr elvisname -local-help To find out about surfraw, see the man page for surfraw(1). To see the full list of elvi, do:
 sr -elvi

  Adding the elvi to your path
If you are a regular user of surfraw, you will probably get sick of typing sr or surfraw each time. You can regain the old behaviour of running the elvi directly by adding the elvi directory (/usr/lib/surfraw) to your path, either manually or using surfraw-update-path(1).

OPTIONS
Use    sr elviname -local-help for elvi-specific options.
The following options work with all elvi.

-help
    Show summary of options (including elvi-specific options).

-local-help
    Show elvi-specific options.

-version
    Show version of program.

-browser=EXECUTABLE
    Set browser (default: sensible-browser).

-elvi
    Display a list of other Surfraw mechanisms for conquering evil.

-escape-url-args=yes|no
    Apply url escaping to arguments (default: yes)

-q|-quote
    Bracket arguments with " characters (default: no) Note that putting quotes round arguments works now, so you can do, for example:
     sr google foo "bar baz" bam and the quoting is passed on to the search engine

EXAMPLES
 $ sr ask why is jeeves gay?
 $ surfraw google -results=100 RMS, GNU, which is sinner, which is sin?
 $ sr austlii -method=phrase dog like
 $ /usr/lib/surfraw/rhyme -method=perfect Julian

BUGS
Please report any bugs found (or any web sites in need of surfrawizing) either via the debian bug tracking system (http://bugs.debian.org/) or to the surfraw-devel list (surfraw-devel@lists.alioth.debian.org).

SEE ALSO
http://alioth.debian.org/projects/surfraw/

PROPAGANDA
Oh Baybe I need some Deep Linking Let us go Surfin' in the raw!
Read HACKING. Surfrawize the soul of your favourite internet wonder. Join the Shell Users' Revolutionary Front Against the WWW by submitting code. Reclaim heathen lands. Bear witness to the truth. Its love will set you free. Join us on surfraw-devel@lists.alioth.debian.org

AUTHORS
Originally written by Julian Assange. Now maintained by the surfraw-devel team <surfraw-devel@lists.alioth.debian.org>. See the file AUTHORS for the full list of contributors. Man page by Ian Beckwith, based on the original README and an earlier man page for surfraw(1) by Christian Surchi.

COPYRIGHT
  Copyright (c) 2003-2018 The Surfraw-Devel Team
                        <surfraw-devel@lists.alioth.debian.org>
  Copyright (c) 2000-2001 Julian Assange <proff@iq.org>
  Copyright (c) 2001 Australian Institute for Collaborative Research
  Copyright (c) 2000 Melbourne Institute for Advanced Study The copyright holders listed above assert no rights on this release of the software ``surfraw'' and thereby explicity place this release into the into the public domain. Do what you will.